@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: url(../fonts/Roboto/Roboto-Regular.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 500;
	font-display: swap;
	src: url(../fonts/Roboto/Roboto-Medium.ttf) format('truetype');
}
@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 700;
	font-display: swap;
	src: url(../fonts/Roboto/Roboto-Bold.ttf) format('truetype');
}


/* custom variables */
:root {
	--text-color: #363636;
	--text-size: 16px;
	--text-font: 'Roboto', sans-serif;
	--primary: #e2001a;
	--primary-hover: #c00014;
	--primary-text: #fff;
	--secondary: #818181;
	--secondary-hover: #464646;
	--secondary-text: #fff;
	--secondary-text-hover: #e2e2e2;
	--container-width: 1280px;
}


body {
	color: var(--text-color);
	font-size: var(--text-size);
	font-family: var(--text-font);

	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	height: 100%;
	-webkit-box-pack: stretch;
	-ms-flex-pack: stretch;
	justify-content: stretch;
	min-height: 100vh;
}

a {
	color: var(--primary);
}
a:hover {
	color: var(--primary-hover);
}

/* Bootstrap override */
label, .form-group label, .form-group legend.col-form-label {
	margin-bottom: 0.3rem;
	padding-bottom: 0;
}

.form-control, .btn {
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	border-radius: 0;
}

.container {
	max-width: var(--container-width);
	width: 100%;
}

.alert {
	margin-bottom: 20px;
	margin-top: 20px;
}
.alert-warning hr {
	border-top-color: #ebd695;
}

.btn-primary {
	background-color: var(--primary);
	border-color: var(--primary);
	color: var(--primary-text);
}
.btn-primary:hover, .btn-primary.focus, .btn-primary:focus,
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
	background-color: var(--primary-hover);
	border-color: var(--primary-hover);
	color: var(--primary-text);
}
.btn-primary.focus, .btn-primary:focus, .btn-primary:not(:disabled):not(.disabled).active:focus, .btn-primary:not(:disabled):not(.disabled):active:focus, .show>.btn-primary.dropdown-toggle:focus {
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
	box-shadow: none;
}

.badge-primary {
	background-color: var(--primary);
	color: var(--primary-text);
}

.badge-secondary {
	background-color: var(--secondary);
	color: var(--secondary-text);
}
.badge-outline-secondary {
	background-color: transparent;
	border: 1px solid var(--secondary);
	color: var(--secondary);
}

.navbar-toggler {
	font-size: 16px;
	line-height: 22px;
}
.navbar-toggler:focus {
	outline: none;
}
.navbar-toggler .navbar-icon {
	display: inline-block;
	font-size: 30px;
	height: 22px;
	line-height: 22px;
	margin: 0 5px;
	vertical-align: middle;
}

.navbar-dark .navbar-brand {
	border-right: 1px solid #fff;
	padding-right: 25px;
}

.nav-tabs {
	--bs-nav-tabs-link-active-bg: #fbfbfb;
}

/* tabs */
.tab-pane {
	background-color: #fbfbfb;
	border: 1px solid var(--border-color);
	margin-top: -1px;
	padding: 20px 10px;
}


/* Layout */
#header {
}
#header .fixedheader {
	padding-top: 56px;
}
#content {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-flex: 1 1 auto;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
	margin: 0 0 30px;
}
#footer {
	font-size: 90%;
	line-height: 20px;
}


/* Frontend  - Widget*/
.widgetheader {
	border-bottom: 1px solid var(--secondary);
	padding-top: 30px;
}
.widgetheader .logo {
	display: block;
	float: left;
	height: auto;
	margin-right: 20px;
	width: 160px;
}
.widgetheader .clock {
	font-size: 30px;
	float: right;
	text-align: right;
}
.widgetheader .clock span {
	display: block;
}
.widgetheader .clock span.time {
	font-weight: 700;
}

.busstoplabel {
	display: block;
	font-size: 26px;
	line-height: 40px;
}
.busstop {
	display: block;
	font-size: 36px;
	font-weight: 700;
	line-height: 40px;
}

.timeline {
	font-size: 36px;
	position: relative;
}
.timeline:before {
	background-color: var(--secondary);
	content: '';
	display: block;
	position: absolute;
	left: 10px;
	height: 100%;
	top: 0;
	width: 2px;
}

.timelineitem {
	margin-top: 20px;
	padding-left: 30px;
	position: relative;
}
.timelinetime {
	font-size: 70%;
	font-weight: bold;
	position: relative;
}
.timelinetime:before, .timelinetime:after {
	background-color: var(--secondary);
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	border-radius: 50%;
	content: '';
	display: block;
	left: -27px;
	height: 16px;
	position: absolute;
	top: 10px;
	width: 16px;
}
.timelinetime:after {
	background-color: #fff;
	-webkit-transform: scale(0.6);
	-moz-transform: scale(0.6);
	-ms-transform: scale(0.6);
	-o-transform: scale(0.6);
	transform: scale(0.6);
}
.timelinetime .timelinetimeinfo {
	float: right;
	font-size: 16px;
}
.timelineitem .badge {
	margin-top: 7px;
}
.timelineitem .badge[class*="badge-outline-"] {
	margin-top: 6px;
}
.timelineitem .intermediatestop {
	font-size: 50%;
}

.timelineitem .entry {
	border: 1px solid #f5f5f5;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: normal;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	align-items: flex-start;
	justify-content: stretch;
	padding: 0 7px;
}
.timelineitem .entry .busline span[class^="icon-"] {
	color: var(--text-color);
}
.timelineitem .entry .destination {
	-webkit-flex: 1 1 auto;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
	align-self: center;
	padding: 0 10px;
	line-height: 22px;
}
.timelineitem .entry .destinationinnerwrapper {
	line-height: 32px;
	display: inline-block;
	padding: 11px 0;
}
.timelineitem .entry .delay, .timelineitem .entry .bustime {
	margin-left: 10px;
}
.timelineitem .entry .timelinetimeinfo {
	margin-top: 2px;
}
.timelineitem .entry:nth-child(odd) {
	background-color: #f5f5f5;
}

.additionalstops {
	-webkit-flex: 1 1 auto;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
	font-size: 20px;
	line-height: normal;
	font-weight: normal;
	order: 10;
}
.additionalstops .additionalstopcollapse {
	padding: 10px 0;
	position: relative;
}
/*.additionalstops .additionalstopcollapse .closingbtn {
	position: absolute;
	top: -23px;
	right: 10px;
}*/
.additionalstops .additionalstopswrapper {
	position: relative;
}
.additionalstops .additionalstopswrapper:before {
	background-color: var(--secondary);
	bottom: 5px;
	content: '';
	display: block;
	left: 7px;
	position: absolute;
	top: 10px;
	width: 2px;
	z-index: 0;
}
.additionalstops .stopstatus {
	-webkit-border-radius: 50%;
	-moz-border-radius: 50%;
	border-radius: 50%;
	color: #fff;
	display: inline-block;
	font-size: 14px;
	line-height: 16px;
	height: 16px;
	position: relative;
	text-align: center;
	width: 16px;
	z-index: 10;
}
.additionalstops .stopstatus .icon-check {
	font-size: 8px;
	vertical-align: 1px;
}
.additionalstops .stopstatus .icon-close {
	font-size: 11px;
	vertical-align: 0;
}
.additionalstops .ismainstop {
	font-weight: bold;
}

.publicitycontainer {
	background-color: #254994;
	bottom: 0;
	position: sticky;
	margin-top: 50px;
	padding: 10px;
}
.publicitycontainer .innerwrapper {
	background-color: #fff;
	margin-left: 10px;
	padding: 10px 15px;
}
.scanqrcodedescription {
	line-height: normal;
}
.appcontainer {
	border-left: 2px solid #254994;
}
.app-preview {
	-webkit-border-radius: 15px;
	-moz-border-radius: 15px;
	border-radius: 15px;
	-webkit-box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
	-moz-box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
	box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
	clear: both;
	height: auto;
	width: 60px;
}

/*.bus {
	position: relative;
}
.bus .icon-bus {
	color: var(--secondary);
	font-size: 48px;
	vertical-align: middle;
}
.bus .busnumber {
	color: var(--primary);
	font-size: 18px;
	font-weight: 500;
	left: 4px;
	position: absolute;
	top: 15px;
	width: 39px;
	text-align: center;
	line-height: 20px;
}*/


/* messages */
.messagecontainer {
}
.message {
}
.message .messageheader {
}
.message .messageheader .messageicon {
	font-size: 40px;
	vertical-align: middle;
}
.message .affectedbuslines {
	font-size: 1rem;
	vertical-align: middle;
}
.messagecontent .messageheader img {
	height: auto;
	max-width: 100%;
	margin-right: 0.5rem;
	vertical-align: bottom;
}
.messagecontent p, .messagecontent ul, .messagecontent ol {
	margin-bottom: 0;
}
.messagecontent ul, .messagecontent ol {
	list-style-position: inside;
	padding-left: 0;
}
.messagecontent figure {
	max-width: 100%;
}
.messagecontent figure img {
	height: auto;
	max-width: 100%;
}
.messagecontent figure.image-style-align-left {
	float: left;
	margin-right: 30px;
	margin-bottom: 10px;
}
.messagecontent figure.image-style-align-right {
	float: right;
	margin-left: 30px;
	margin-bottom: 10px;
}
/*.messagecontent p + ul, .messagecontent p + ol {
	margin-top: -1rem;
}*/


/* Login */
#login {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	-webkit-box-flex: 1;
	-ms-flex: 1 1 auto;
	flex: 1 1 auto;
}
#login .loginwrapper {
	border: 1px solid #e5e5e5;
	-webkit-box-shadow: 0 0 30px rgb(0 0 0 / 10%);
	-moz-box-shadow: 0 0 30px rgb(0 0 0 / 10%);
	box-shadow: 0 0 30px rgb(0 0 0 / 10%);
	margin-left: auto;
	margin-right: auto;
	max-width: 450px;
	padding: 10px 15px 0;
	position: relative;
	width: 100%;
}
#login .loginbrand {
	position: relative;
	margin: -10px -15px 0;
	padding: 10px 15px 40px;
	width: auto;
}
#login .loginbrand img {
	position: absolute;
	left: 15px;
	top: 0;
	transform: translateY(-40px);
}


/* only large - xl */
@media (min-width: 1200px) {

}


/* large - lg */
@media (max-width: 1199px) {
	.publicitycontainer {
		padding: 15px 0;
	}
	.publicitycontainer .innerwrapper {
		margin-left: 0;
	}
	.appcontainer {
		border: 0;
	}
}


/* medium - md */
@media (max-width: 991px) {
	body[layout="responsive"] .widgetheader {
		background-color: #fff;
		left: 0;
		position: sticky;
		top: 0;
		z-index: 1000;
	}
	.widgetheader .clock span.date {
		background-color: #fff;
		margin-top: -5px;
		padding-left: 10px;
		border-left: 1px solid var(--secondary);
		border-bottom: 1px solid var(--secondary);
	}

	.navbar-collapse {
		border-top: 1px solid #878787;
		padding-top: 10px;
	}
	.navbar-dark .navbar-toggler {
		color: #fff;
	}
	.navbar-dark .navbar-brand {
		border-right: 0;
		padding-right: 0;
	}

	.timeline {
		font-size: 26px;
	}
	.timelineitem .entry .destination {
		padding: 0 10px;
		line-height: 18px;
	}
	.timelineitem .entry .destinationinnerwrapper {
		line-height: 28px;
		padding: 6px 0;
	}
	.timelineitem .badge {
		margin-top: 6px;
	}
	.timelineitem .badge[class*="badge-outline-"] {
		margin-top: 4px;
	}

	/*.bus {
	}
	.bus .icon-bus {
		font-size: 34px;
	}
	.bus .busnumber {
		font-size: 13px;
		font-weight: 700;
		top: 12px;
		width: 27px;
		line-height: 13px;
	}*/
}


/* small - sm */
@media (max-width: 767px) {
	.widgetheader {
		padding-top: 10px;
	}
	.widgetheader .logo {
		margin-top: 8px;
		width: 100px;
	}
	.busstoplabel {
		font-size: 20px;
		line-height: normal;
	}
	.busstop {
		font-size: 26px;
		line-height: 32px;
	}
	.widgetheader .clock {
		font-size: 20px;
	}
	.widgetheader .clock span.time {
		/*line-height: 34px;*/
	}
	.widgetheader .clock span.date {
		margin-top: 2px;
	}

	.messagecontent .partnerimage img {
		display: block;
		margin-left: auto;
		margin-right: 0;
	}
	.messagecontent figure.image-style-align-left, .messagecontent figure.image-style-align-right {
		float: none;
		margin-left: 0;
		margin-right: 0;
		width: 100%;
	}
}


/* extra small - xs */
@media (max-width: 575px) {
	body {
		min-width: 320px;
	}

	.widgetheader:before {
		background-color: #fff;
		content: '';
		display: block;
		position: absolute;
		bottom: 0;
		left: -15px;
		right: -15px;
		top: 0;
		z-index: -1;
	}
	.widgetheader .clock {
		float: none;
		margin-bottom: 10px;
		text-align: right;
	}

	.widgetheader .clock span.date {
		border: 0;
		padding-left: 0;
		margin-top: 0;
	}
	.busstoplabel {
		font-size: 16px;
	}
	.busstop {
		display: block;
		font-size: 18px;
	}

	.timeline {
		font-size: 16px;
		margin-left: -10px;
	}
	.timelinetime {
		font-size: 80%;
	}
	.timelineitem {
		padding-left: 25px;
	}
	.timelineitem .entry {
		-webkit-flex-wrap: wrap;
		-ms-flex-wrap: wrap;
		flex-wrap: wrap;
		/* padding: 0; */
		padding: 3px 5px 0;
	}
	.timelineitem .entry .bustime, .timelineitem .entry .busline, .timelineitem .entry .destination {
		margin-right: 7px;
	}
	.timelineitem .entry .bustime {
		order: 1;
	}
	.timelineitem .entry .delay {
		order: 2;
		margin-left: 0;
		margin-right: 10px;
	}
	.timelineitem .entry .busline {
		order: 3;
	}
	.timelineitem .entry .skibus {
		order: 4;
	}
	.timelineitem .entry .destination {
		-webkit-flex: 1 1 100%;
		-ms-flex: 1 1 100%;
		flex: 1 1 100%;
		font-weight: bold;
		order: 5;
		padding: 5px 0 0;
	}
	.timelineitem .entry .destinationinnerwrapper {
		line-height: 18px;
		padding: 4px 0;
	}
	.timelineitem .intermediatestop {
		font-size: 14px;
		font-weight: 400;
	}

	.timelineitem .badge {
		margin-top: 3px;
	}
	.timelineitem .badge[class*="badge-outline-"] {
		margin-top: 2px;
	}

	.timelinetime:before, .timelinetime:after {
		left: -20px;
		height: 12px;
		top: 4px;
		width: 12px;
	}

	.additionalstops {
		font-size: 14px;
		line-height: 20px;
	}
}
